/*
 * @(#)Freeciv.java - Just a constant data holder
 *
 *
 * Created on July 28, 2000, 3:57 PM
 */

/**
 *
 * @author  furyhawk
 * @author  Michael Grundel <michael42@grundel.de>
 * @version 0.02
 */

/**
   ********************************************************************
 CivLog - Copyright (C) 2000 - Wong Teck Meng
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
**********************************************************************
                                                                      */
//package Freeciv;

// classes which only contain static final members are usually modeled
// as "interface" in java

public class Freeciv extends Object {

  // number of defined data types
  public static final int NUMBER_OF_DATA_TYPES = 14;

  // data types
  public static final int POP         = 0;
  public static final int BNP         = 1;
  public static final int MFG         = 2;
  public static final int CITIES      = 3;
  public static final int TECHS       = 4;
  public static final int MUNITS      = 5;
  public static final int SETTLERS    = 6;
  public static final int WONDERS     = 7;
  public static final int TECHOUT     = 8;
  public static final int LANDAREA    = 9;
  public static final int SETTLEDAREA = 10;
  public static final int POLLUTION   = 11;
  public static final int LITERACY    = 12;
  public static final int SPACESHIP   = 13;

  /** description of these data types
   *  DATA_DESCRIPTION[i] describes data type i
   */
  public static final String[] DATA_DESCRIPTION = new String[] {
    "Population", "BNP", "Manufacturing", "Cities", "Technologies", "Military Units", "Settlers",
    "Wonders", "Tech Output", "Land Area", " Settled Area", "Pollution", "Literacy", "Spaceship" };

}